// Cassy Romano
// gtg507q@mail.gatech.edu

/**
 * BirdSimulation
 * A flock of 10 birds investigate a mysterious egg,
 * which suddenly shows itself to be a monster!
 **/
public class CrowdSimulation extends Simulation {
  
  public NBDAgent hunter; // We'll need to get this later in CrowdAgent
  FrameSequence myFrames; // Need a separate one from Simulations
  
  /**
   * Set up the world with 10 birds and the mysterious egg
   **/
  public void setUp(){
    // Set up the world
    world = new World();
    world.setAutoRepaint(false);
    // We'll need frames for the animation
    myFrames = new FrameSequence("D:/CS1316/Temp/");
    myFrames.show();
    
    CrowdAgent doggie;
    // 100 of 'em
    for (int num = 0; num < 100; num++) {
      doggie = new CrowdAgent(world,this);}
    
    // And the big life-like dog
    hunter = new NBDAgent(world,this);
  }
    
  public void endStep(int t) {
    // Do the normal file processing (if any)
    super.endStep(t);
    
    // But now, make a 640x480 frame, and copy
    // in pictures from all the agents
    Picture frame = new Picture(600,600);
    Agent drawMe = null;
    for (int index=0; index<this.getAgents().size(); index++) {
      drawMe = (Agent) this.getAgents().get(index);
      drawMe.myPict.bluescreen(frame,drawMe.getXPos(),
                               drawMe.getYPos());
      }
    myFrames.addFrame(frame);
  }
  
}
