public class SoundListTest {
  SoundElement root;
  
  public SoundElement root(){ return root;}
  
  public void setUp(){
    Sound s = null;  // For copying in sounds
    
    s = new Sound(FileChooser.getMediaPath("scratch-h.wav"));
    root = new SoundElement(s);
    
    s = new Sound(FileChooser.getMediaPath("gonga-2.wav"));
    SoundElement one = new SoundElement(s);
    root.repeatNext(one,5);
    
    s = new Sound(FileChooser.getMediaPath("scritch-q.wav"));
    SoundElement two = new SoundElement(s.scale(2.0));
    root.weave(two,3,3);
    
    s = new Sound(FileChooser.getMediaPath("clap-q.wav"));
    SoundElement three = new SoundElement(s);
    root.weave(three,5,2);
    
    root.playFromMeOn();
  }
  
  public void setUp2(){
    Sound s = null;  // For copying in sounds
    
    s = new Sound(FileChooser.getMediaPath("guzdial.wav"));
    root = new SoundElement(s);
    
    s = new Sound(FileChooser.getMediaPath("is.wav"));
    SoundElement one = new SoundElement(s);
    root.repeatNext(one,5);
    
    s = new Sound(FileChooser.getMediaPath("scritch-q.wav"));
    SoundElement two = new SoundElement(s);
    root.getNext().insertAfter(two);
    
    s = new Sound(FileChooser.getMediaPath("clap-q.wav"));
    SoundElement three = new SoundElement(s);
    two.insertAfter(three);
    
    root.playFromMeOn();
  }

  public void degong(){
    Sound gong = new Sound(FileChooser.getMediaPath("gonga-2.wav"));
    Sound snap = new Sound(FileChooser.getMediaPath("snap-tenth.wav"));
    root.replace(gong,snap);
  }
  
//  public void reverseTest(){
//    FileChooser.setMediaPath("D:/cs1316/MediaSources/");
//    Sound s = null;  // For copying in sounds
//    
//    s = new Sound(FileChooser.getMediaPath("guzdial.wav"));
//    SoundNode root = new SoundNode(s);
//    
//    s = new Sound(FileChooser.getMediaPath("is.wav"));
//    SoundNode one = new SoundNode(s);
//    root.last().insertAfter(one);
//    
//    s = new Sound(FileChooser.getMediaPath("scritch-q.wav"));
//    SoundNode two = new SoundNode(s);
//    root.last().insertAfter(two);
//    
//    s = new Sound(FileChooser.getMediaPath("clap-q.wav"));
//    SoundNode three = new SoundNode(s);
//    two.insertAfter(three);
//    
//    //root.playFromMeOn();
//    
//    SoundNode reversed = (SoundNode) root.reverse2();
//    
//    reversed.playFromMeOn();
//  }


}
