import jm.music.data.*;
import jm.JMC;
import jm.util.*;
import jm.music.tools.*;
 
public class AmazingGraceSong2 {
  private Score myScore = new Score("Amazing Grace");
  
  public void fillMeUp(){
    myScore.setTimeSignature(3,4);
    myScore.setTempo(100.0);
    
   double[] phrase1data = 
   {JMC.G4, JMC.QN,
     JMC.C5, JMC.HN, JMC.E5,JMC.EN, JMC.C5,JMC.EN,
     JMC.E5,JMC.HN,JMC.D5,JMC.QN,
     JMC.C5,JMC.HN,JMC.A4,JMC.QN,
     JMC.G4,JMC.HN,JMC.G4,JMC.EN,JMC.A4,JMC.EN,
     JMC.C5,JMC.HN,JMC.E5,JMC.EN,JMC.C5,JMC.EN,
     JMC.E5,JMC.HN,JMC.D5,JMC.EN,JMC.E5,JMC.EN,
     JMC.G5,JMC.DHN};
   double[] phrase2data =
   {JMC.G5,JMC.HN,JMC.E5,JMC.EN,JMC.G5,JMC.EN,
     JMC.G5,JMC.HN,JMC.E5,JMC.EN,JMC.C5,JMC.EN,
     JMC.E5,JMC.HN,JMC.D5,JMC.QN,
     JMC.C5,JMC.HN,JMC.A4,JMC.QN,
     JMC.G4,JMC.HN,JMC.G4,JMC.EN,JMC.A4,JMC.EN,
     JMC.C5,JMC.HN,JMC.E5,JMC.EN,JMC.C5,JMC.EN,
     JMC.E5,JMC.HN,JMC.D5,JMC.QN,
     JMC.C5,JMC.DHN
   };
   Phrase myPhrase = new Phrase();
   myPhrase.addNoteList(phrase1data);
   myPhrase.addNoteList(phrase2data);
   
   // create a new part and add the phrase to it
   Part aPart = new Part("Parts", 
                         JMC.FLUTE, 1);
   aPart.addPhrase(myPhrase);
   
   // create a second part
   Part aPart2 = new Part("Part 2",
                          JMC.BAGPIPE,2);
   Phrase bagPhrase = new Phrase(3.0);
   bagPhrase.addNoteList(phrase1data);
   bagPhrase.addNoteList(phrase2data);
   aPart2.addPhrase(bagPhrase);
   
   // add the part to the score
   myScore.addPart(aPart);
   myScore.addPart(aPart2);
    
   
  };
  
  public void showMe(){
       
   View.notate(myScore);
  };
  
}
