public class MyTurtleAnimation {
  
  Picture canvas;
  Turtle jenny;
  FrameSequence f;
  
  public MyTurtleAnimation() {
    
    canvas = new Picture(600,600);
    jenny = new Turtle(canvas);
    f = new FrameSequence("C:/Temp/");
  }
  
  public void next(){
    Picture lilTurtle = new Picture(FileChooser.getMediaPath("Turtle.jpg"));
    
    jenny.turn(-20);
    jenny.forward(30);
    jenny.turn(30);
    jenny.forward(-5);
    jenny.drop(lilTurtle.scale(0.5));
    f.addFrame(canvas.copy());
  }
    
  public void next(int numTimes){
    for (int i=0; i < numTimes; i++)
    {this.next();}
  }
  
  public void show(){
    f.show();
  }
  
  public void replay(int delay){
    f.show();
    f.replay(delay);
  }
}
