import java.util.*; // LinkedList representation

/**
 * Implements a simple queue
 **/
public class Queue {
  /** Where we'll store our elements */
  public LinkedList elements;
  
  /// Constructor
  public Queue(){
    elements = new LinkedList();
  }
  
  /// Methods
  
  /** Push an object onto the Queue */
  public void push(Object element){
    elements.addFirst(element);
  }
  
  /** Peek at, but don't remove, top of queue */
  public Object peek(){
    return elements.getLast();}
  
  /** Pop an object from the Queue */
  public Object pop(){
    Object toReturn = this.peek();
    elements.removeLast();
    return toReturn;
  }
  
  /** Return the size of a queue */
  public int size() { return elements.size();}
  
  /** Empty? */
  public boolean empty() {return this.size() == 0;}
}