import jm.music.data.*;
import jm.JMC;
import jm.util.*;
import jm.music.tools.*;
 
public class Song {
  /**
   * first Channel
   */
  public SongPart first; 
  
  /**
   * second Channel
   */
  public SongPart second;
  
  /**
   * Take in a SongPart to make the first channel in the song
   */
  public void setFirst(SongPart channel1){
    first = channel1;
    first.myPart.setChannel(1);
  }
  
  /**
   * Take in a SongPart to make the second channel in the song
   */
  public void setSecond(SongPart channel2){
    second = channel2;
    first.myPart.setChannel(2);
  }
  
  public void show(){
    // Make the Score that we'll assemble the parts into
    // We'll set it up with a default time signature and tempo we like
    // (Should probably make it possible to change these -- maybe with inputs?)
     Score myScore = new Score("My Song");
     myScore.setTimeSignature(3,4);
     myScore.setTempo(120.0);
               
     // Now, construct the part and the score.
     first.myPart.addPhrase(first.collect());
     second.myPart.addPhrase(second.collect());
     myScore.addPart(first.myPart);
     myScore.addPart(second.myPart);
     
     // At the end, let's see it!
     View.notate(myScore);

  }

  
}
