public class Student extends Person {
  
  private String school;
  private int schoolID;
  
  public Student(String someName){
    super(someName); // Must be the first line
    this.defaultSchool();
  }
  
  public Student(String someName, int someID){
    super(someName,someID);
    this.defaultSchool();
  }
  
  public String getSchool(){
    return this.school;
  }
  
  public void setSchool(String someSchool,int someID){
    this.school = someSchool;
    this.schoolID = someID;
  }
  
  public void defaultSchool(){
    this.school = "Gwinnett College";
  }
  
  public String toString(){
    return super.toString()+". And I'm a student at "
      +this.getSchool()+" and my school ID is "+this.schoolID;
    /*return "I'm a student at "
      +this.getSchool()+" and my school ID is "+this.schoolID;*/
  }
  
  public void greet(){
    super.greet();
    System.out.println("Go away -- I'm late for class! I'm a student at "
                         +this.getSchool());
  }
  
  public void countDownFrom(int endNumber){
    System.out.println("Counting..."+endNumber);
    if (endNumber == 1)
    {return;}
    countDownFrom(endNumber-1);
  }

}